Get Pattern Groups
Gets a list of the pattern groups that match the search keyword.
HTTP Request
GET /api/sonar/pattern-groups
cURL Example
curl -H "Authorization: Bearer <API_KEY>" \
https://HOSTNAME/api/sonar/pattern-groups
Request Parameters
| Key | Required | Type | Description | Note |
|---|---|---|---|---|
| offset | X | 32-bit integer | Number of records to skip | Default: 0 |
| limit | X | 32-bit integer | Maximum number of records to load | |
| keywords | X | String | Keyword | Search available by name, description |
Success Response
{
"total_count": 23,
"pattern_groups": [
{
"guid": "28ad21b2-585c-4b68-9fad-b78711078496",
"name": "IPS WAS Exploit Alert",
"description": "Detect attacks that exploit known vulnerabilities in WAS to cause remote code execution, denial of service, etc.",
"pattern_count": 15,
"company_guid": "6fbe27b7-f1ae-4d7a-a1a5-76d8fa9aa311",
"company_name": "Logpresso",
"user_guid": "ffaf431b-653a-4329-8f83-913cbb00342d",
"user_name": "Admin",
"created": "2022-09-01 00:31:14+0900",
"updated": "2022-09-01 00:31:14+0900"
}
]
}
- total_count (32-bit integer): Total number of the pattern groups that match the search keyword
- pattern_groups (Array): Pattern group list
- guid (String): Pattern group GUID
- name (String): Pattern group name
- description (String): Pattern group description
- pattern_count (32-bit integer): Number of patterns
- company_guid (String): GUID of the company (tenant) to which the group belongs
- company_name (String): Name of the company (tenant) to which the group belongs
- user_guid (String): GUID of the user who creates the pattern group
- user_name (String): Name of the user who creates the pattern group
- created (String): Date and time of creation (
yyyy-MM-dd HH:mm:ssZ) - updated (String): Date and time of last modification (
yyyy-MM-dd HH:mm:ssZ)
Error Responses
offset or limit value is not an integer
HTTP status code 400
{
"error_code": "invalid-argument",
"error_msg": "'offset' parameter should be int type"
}
offset or limit value is negative
HTTP status code 400
{
"error_code": "invalid-argument",
"error_msg": "'offset' must be greater than or equal to 0."
}